function love.load()
	require "levels/lvl_1" --includes the lvls
	require "levels/lvl_2"
	
	guy_d = love.graphics.newImage("graphics/Player_D.png") --1 (Directional Graphics)
	guy_u = love.graphics.newImage("graphics/Player_U.png") --2 (Directional Graphics)
	guy_l = love.graphics.newImage("graphics/Player_L.png") --3 (Directional Graphics)
	guy_r = love.graphics.newImage("graphics/Player_R.png") --4 (Directional Graphics)
	wall= love.graphics.newImage("graphics/Wall.png") --1 (on map)
	checkpoint= love.graphics.newImage("graphics/stairs_down.png") --2 (on map)
	--decheckpoint= love.graphics.newImage("graphics/stairs_up.png") --3 (on map)
    player = {
        grid_x = 256,
        grid_y = 256,
        act_x = 200,
        act_y = 200,
        speed = 10,
		direction = 1
    }
	gamestate="lvl_1"
end

function love.update(dt)
	if gameIsPaused then return end --Pauses the game when not focused
    player.act_y = player.act_y - ((player.act_y - player.grid_y) * player.speed * dt) --Sets the player's x
    player.act_x = player.act_x - ((player.act_x - player.grid_x) * player.speed * dt) --Sets the player's y
end

function love.focus(f) gameIsPaused = not f end

function love.draw()
	if gamestate=="lvl_1" then --Checks the lvl
		lvl_1()
	end
	if gamestate=="lvl_2" then
		lvl_2()
	end
	
    love.graphics.print('This is the help for this game.\nUse the arrow keys the control the player.', 500, 30) --help
	if player.direction==1 then --prints the direction of player
		love.graphics.draw(guy_u, player.act_x, player.act_y)
	elseif player.direction==2 then
		love.graphics.draw(guy_d, player.act_x, player.act_y)
	elseif player.direction==3 then
		love.graphics.draw(guy_l, player.act_x, player.act_y)
	elseif player.direction==4 then
		love.graphics.draw(guy_r, player.act_x, player.act_y)
	end
	
    for y=1, #map do --draws the map
        for x=1, #map[y] do
            if map[y][x] == 1 then
                love.graphics.draw(wall, x * 32, y * 32)
            end
        end
    end
	for y=2, #map do
        for x=2, #map[y] do
            if map[y][x] == 2 then
                love.graphics.draw(checkpoint, x * 32, y * 32)
            end
        end
    end
end

function love.keypressed(key)
    if key == "up" then
        if testMap(0, -1) then
            player.grid_y = player.grid_y - 32
			player.direction=1 --Sets direction of player
        end
    elseif key == "down" then
        if testMap(0, 1) then
            player.grid_y = player.grid_y + 32
			player.direction=2
        end
    elseif key == "left" then
        if testMap(-1, 0) then
            player.grid_x = player.grid_x - 32
			player.direction=3
        end
    elseif key == "right" then
        if testMap(1, 0) then
            player.grid_x = player.grid_x + 32
			player.direction=4
        end
    end
end

function testMap(x, y)
    if map[(player.grid_y / 32) + y][(player.grid_x / 32) + x] == 1 then
        return false
    end
	if map[(player.grid_y / 32) + y][(player.grid_x / 32) + x] == 2 then
	    if gamestate=="lvl_1" then
			gamestate="lvl_2"
		end
        return false
    end
    return true
end